Debian Bug report logs - #570015
consolekit: ck-collect-session-info coredumps on kFreeBSD

version graph

Package: consolekit; Maintainer for consolekit is Robert Millan <rmh@debian.org>; Source for consolekit is src:consolekit.

Reported by: Justin B Rye <jbr@edlug.org.uk>

Date: Mon, 15 Feb 2010 21:24:02 UTC

Severity: normal

Tags: patch

Found in versions consolekit/0.4.1-3, consolekit/0.4.5-3, consolekit/0.4.1-4, consolekit/0.4.3-2

Fixed in version consolekit/0.4.5-3.1

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 15 Feb 2010 21:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 15 Feb 2010 21:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: consolekit: ck-collect-session-info coredumps on kFreeBSD
Date: Mon, 15 Feb 2010 21:21:05 +0000
Package: consolekit
Version: 0.4.1-3
Severity: normal

Every time I boot into kFreeBSD, the logs include:

Feb 15 16:02:28 xan kernel: pid 1591 (ck-collect-session-), uid 0: exited on signal 11 (core dumped)

...and there's a fresh 3.8MB corefile in the root directory.

I gather it's /usr/lib/ConsoleKit/ck-collect-session-info that's
crashing, though what it's trying to do and what functionality I'm
therefore liable to be missing out on is unclear, so I'll just call
it Severity: normal.

Following the wiki's instructions for HowToGetABacktrace I get a
debug version; taking a wild stab in the dark at the right arguments
I run it under gdb, and while it doesn't crash, it does say
something that might explain the problem:

 Starting program: /usr/lib/ConsoleKit/ck-collect-session-info --uid 0 --pid $$

 ** (ck-collect-session-info:13682): WARNING **: 
 ** (process:13683): WARNING **: Socket credentials not supported on this OS


 unix-user = 0
 x11-display = :0.0
 display-device = ttyp0
 is-local = false

 Program exited normally.

(But I'm still getting the core dumps; clearly there's some trick to
invoking it that I haven't guessed.)

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.0-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages consolekit depends on:
ii  dbus                    1.2.20-2         simple interprocess messaging syst
ii  libc0.1                 2.10.2-2         GNU C Library: Shared libraries
ii  libck-connector0        0.4.1-3          ConsoleKit libraries
ii  libdbus-1-3             1.2.20-2         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.84-1           simple interprocess messaging syst
ii  libglib2.0-0            2.22.4-1         The GLib library of C routines
ii  libkvm0                 8.0-4            FreeBSD kvm (kernel memory interfa
ii  libpolkit-gobject-1-0   0.96-1           PolicyKit Authorization API
ii  libx11-6                2:1.3.3-1        X11 client-side library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages consolekit recommends:
ii  libpam-ck-connector           0.4.1-3    ConsoleKit PAM module

consolekit suggests no packages.

-- no debconf information

-- 
JBR
Ankh kak! (Ancient Egyptian blessing)




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 15 Feb 2010 21:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 15 Feb 2010 21:45:15 GMT) Full text and rfc822 format available.

Message #10 received at 570015@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Justin B Rye <jbr@edlug.org.uk>, 570015@bugs.debian.org, debian-bsd@lists.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: consolekit: ck-collect-session-info coredumps on kFreeBSD
Date: Mon, 15 Feb 2010 22:43:23 +0100
[Message part 1 (text/plain, inline)]
tags 570015 + help
thanks

Justin B Rye wrote:
> Package: consolekit
> Version: 0.4.1-3
> Severity: normal
> 
> Every time I boot into kFreeBSD, the logs include:
> 
> Feb 15 16:02:28 xan kernel: pid 1591 (ck-collect-session-), uid 0: exited on signal 11 (core dumped)
> 
> ...and there's a fresh 3.8MB corefile in the root directory.
> 
> I gather it's /usr/lib/ConsoleKit/ck-collect-session-info that's
> crashing, though what it's trying to do and what functionality I'm
> therefore liable to be missing out on is unclear, so I'll just call
> it Severity: normal.
> 
> Following the wiki's instructions for HowToGetABacktrace I get a
> debug version; taking a wild stab in the dark at the right arguments
> I run it under gdb, and while it doesn't crash, it does say
> something that might explain the problem:
> 
>  Starting program: /usr/lib/ConsoleKit/ck-collect-session-info --uid 0 --pid $$
> 
>  ** (ck-collect-session-info:13682): WARNING **: 
>  ** (process:13683): WARNING **: Socket credentials not supported on this OS
> 

I don't use kfreebsd myself, so I hope anyone from the kfreebsd can help here.

Thanks,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) help. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 15 Feb 2010 21:45:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Wed, 27 Oct 2010 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 27 Oct 2010 21:33:06 GMT) Full text and rfc822 format available.

Message #17 received at 570015@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Justin B Rye <jbr@edlug.org.uk>, 570015@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Re: [Pkg-utopia-maintainers] Bug#570015: consolekit: ck-collect-session-info coredumps on kFreeBSD
Date: Wed, 27 Oct 2010 22:31:19 +0100
[Message part 1 (text/plain, inline)]
Michael Biebl wrote:
> tags 570015 + help
> thanks
> 
> Justin B Rye wrote:
>> Package: consolekit
>> Version: 0.4.1-3
>> Severity: normal
>>
>> Every time I boot into kFreeBSD, the logs include:
>>
>> Feb 15 16:02:28 xan kernel: pid 1591 (ck-collect-session-), uid 0: exited on signal 11 (core dumped)
>>
>> ...and there's a fresh 3.8MB corefile in the root directory.
>>
>> I gather it's /usr/lib/ConsoleKit/ck-collect-session-info that's
>> crashing, though what it's trying to do and what functionality I'm
>> therefore liable to be missing out on is unclear, so I'll just call
>> it Severity: normal.
>>
>> Following the wiki's instructions for HowToGetABacktrace I get a
>> debug version; taking a wild stab in the dark at the right arguments
>> I run it under gdb, and while it doesn't crash, it does say
>> something that might explain the problem:
>>
>>  Starting program: /usr/lib/ConsoleKit/ck-collect-session-info --uid 0 --pid $$
>>
>>  ** (ck-collect-session-info:13682): WARNING **: 
>>  ** (process:13683): WARNING **: Socket credentials not supported on this OS
>>
> 
> I don't use kfreebsd myself, so I hope anyone from the kfreebsd can help here.

I am not getting these coredump messages in the logs or corefiles in the
root directory on an up to date kfreebsd-i386 (or kfreebsd-amd64)
system, which uses consolekit 0.4.1-4. Justin, could you please retest.

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Sat, 11 Dec 2010 19:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriele Giacone <1o5g4r8o@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 11 Dec 2010 19:48:03 GMT) Full text and rfc822 format available.

Message #22 received at 570015@bugs.debian.org (full text, mbox):

From: Gabriele Giacone <1o5g4r8o@gmail.com>
To: Michael Dorrington <michael.dorrington@gmail.com>, 570015@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#570015: Re: [Pkg-utopia-maintainers] Bug#570015: consolekit: ck-collect-session-info coredumps on kFreeBSD
Date: Sat, 11 Dec 2010 20:44:39 +0100
[Message part 1 (text/plain, inline)]
tags 570015 + kfreebsd
found 570015 0.4.1-4
thanks

Hi,
it happens on both my kfreebsd-i386 and amd64 machines (KVM guests).

Attached full bt.


[gdb.txt (text/plain, attachment)]

Bug Marked as found in versions consolekit/0.4.1-4. Request was from Gabriele Giacone <1o5g4r8o@gmail.com> to control@bugs.debian.org. (Sat, 11 Dec 2010 19:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Sun, 12 Dec 2010 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 12 Dec 2010 23:24:03 GMT) Full text and rfc822 format available.

Message #29 received at 570015@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 570015@bugs.debian.org
Subject: On the reproducability of this bug.
Date: Mon, 13 Dec 2010 00:19:37 +0100
The following call always provokes said error log and core dump:

   $ ssh me@kfreebsd uptime

Every time! The local host is GNU/Linux, remote host is GNU/kFreeBSD,
and the latter experiences the segmentation fault.

Best regards,
Mats Erik Andersson, DM




Bug Marked as found in versions consolekit/0.4.3-2. Request was from Mats Erik Andersson <mats.andersson@gisladisker.se> to control@bugs.debian.org. (Sun, 12 Dec 2010 23:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 13 Dec 2010 00:24:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 13 Dec 2010 00:24:16 GMT) Full text and rfc822 format available.

Message #36 received at 570015@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Mats Erik Andersson <mats.andersson@gisladisker.se>, 570015@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: On the reproducability of this bug.
Date: Mon, 13 Dec 2010 01:21:31 +0100
[Message part 1 (text/plain, inline)]
On 13.12.2010 00:19, Mats Erik Andersson wrote:
> The following call always provokes said error log and core dump:
> 
>    $ ssh me@kfreebsd uptime
> 
> Every time! The local host is GNU/Linux, remote host is GNU/kFreeBSD,

As already said, I don't use kfreebsd and this crash only happens on kfreebsd.
I already asked for help (almost a year ago).
Nobody interested in kfreebsd stepped up to help on this, so I'm afraid it will
remain unfixed.

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 13 Dec 2010 00:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to maintainer. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 13 Dec 2010 00:51:07 GMT) Full text and rfc822 format available.

Message #41 received at 570015-maintonly@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 570015-maintonly@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: On the reproducability of this bug.
Date: Mon, 13 Dec 2010 01:47:12 +0100
måndag den 13 december 2010 klockan 01:21 skrev Michael Biebl detta:
> On 13.12.2010 00:19, Mats Erik Andersson wrote:
> > The following call always provokes said error log and core dump:
> > 
> >    $ ssh me@kfreebsd uptime
> > 
> > Every time! The local host is GNU/Linux, remote host is GNU/kFreeBSD,
> 
> As already said, I don't use kfreebsd and this crash only happens on kfreebsd.
> I already asked for help (almost a year ago).
> Nobody interested in kfreebsd stepped up to help on this, so I'm afraid it will
> remain unfixed.

No reason to be alarmed. I am following good practice in recording the
knowledge we do have into the BTS. I have also mentioned this particular
command line call on the list 'debian-bsd', so with a bit of luck someone
will join me in investigating this problem. Do stay as calm as DD:s are
used to do.


Best regards,

Mats E Andersson, only DM but with knowledge in *BSD, GNU/kFreeBSD, GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 13 Dec 2010 10:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 13 Dec 2010 10:09:07 GMT) Full text and rfc822 format available.

Message #46 received at 570015@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: debian-bsd@lists.debian.org
Cc: 570015@bugs.debian.org
Subject: Re: vmunix throwing ck-collect-session errors.
Date: Mon, 13 Dec 2010 11:08:20 +0100
A suggestion for the cause of this problem.

The build dependencies are so enormous for consolekit
that I will never build them on a system with GNU/kFreeBSD,
or on GNU/Linux for that matter, so I am doing a more or
less educated guess here.

At first I thought 'libpam-ck-connector' would be the missing,
but it was present on my system. Once I removed 'consolekit',
and only that, the whole problem disappears.

It is only for non-local logins that I am able to reproduce
these segmentation faults, not from a virtual console. This
leads me to believe that

   type=SEAT_REMOVED seat-kind=1

is the key ingredient. Keeping in mind that all SSH actions
are successful in themselves, a quick grep in the source
of 'consolekit' suggests that

   event_seat_removed_free()

could be a good candidate for corrupt code. For reference,
the following is a typical history entry for a session causing
the segmentation fault. I do not possess the knowledge to
disect the coding further than this. The artifact '/dev/ssh'
strikes me as strange.


  1292232425.381 type=SEAT_ADDED : seat-id='Seat4' seat-kind=1

  1292232425.390 type=SEAT_SESSION_ADDED : seat-id='Seat4'
    session-id='Session5' session-type='' session-x11-display=''
    session-x11-display-device='' session-display-device='/dev/ssh'
    session-remote-host-name='my.server' session-is-local=FALSE
    session-unix-user=1000 session-creation-time='2010-12-13T09:27:05.380426Z'

  1292232425.438 type=SEAT_SESSION_REMOVED : seat-id='Seat4'
    session-id='Session5' session-type='' session-x11-display=''
    session-x11-display-device='' session-display-device='/dev/ssh'
    session-remote-host-name='my.server' session-is-local=FALSE
    session-unix-user=1000 session-creation-time='2010-12-13T09:27:05.380426Z'

  1292232425.439 type=SEAT_REMOVED : seat-id='Seat4' seat-kind=1




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 13 Dec 2010 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 13 Dec 2010 15:12:03 GMT) Full text and rfc822 format available.

Message #51 received at 570015@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 570015@bugs.debian.org, Mats Erik Andersson <mats.andersson@gisladisker.se>
Cc: debian-bsd@lists.debian.org, control@bugs.debian.org
Subject: Re: vmunix throwing ck-collect-session errors.
Date: Mon, 13 Dec 2010 16:11:25 +0100 (CET)
tags 570015 + patch
--

> Great! I have reported to BTS, but let me repeat also here:
>
>    $ ssh  name@kfreebsd  uptime
>
> never fails to provoke a segfault at "kfreebsd" running GNU/kFreeBSD.
> Could this merit upgrading to "important"? Could it be that ConsoleKit
> mixes GNU/Linux and FreeBSD in autoconf?


Hi,

the freebsd specific code does not handle empty string in environment 
correctly. Please apply oneliner bellow. It would be nice to also inform 
upstream.

Please consider uploading it also into testing-proposed-updates.

Thanks

	Petr

--- consolekit/src/ck-sysdeps-freebsd.c
+++ consolekit/src/ck-sysdeps-freebsd.c
@@ -261,6 +261,8 @@
         for (i = 0; penv[i] != NULL; i++) {
                 char **vals;

+                if (!penv[i][0]) continue;
+
                 vals = g_strsplit (penv[i], "=", 2);
                 if (vals != NULL) {
                         g_hash_table_insert (hash,






Added tag(s) patch. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 13 Dec 2010 15:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Tue, 14 Dec 2010 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 14 Dec 2010 02:09:03 GMT) Full text and rfc822 format available.

Message #58 received at 570015@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 570015@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: vmunix throwing ck-collect-session errors.
Date: Tue, 14 Dec 2010 03:06:02 +0100
[Message part 1 (text/plain, inline)]
On 13.12.2010 16:11, Petr Salinger wrote:

> the freebsd specific code does not handle empty string in environment 
> correctly. Please apply oneliner bellow. It would be nice to also inform 
> upstream.
> 
> Please consider uploading it also into testing-proposed-updates.

Thanks Petr for the patch, appreciated. The timing is a bit unfortunate though,
given the release teams update on the deep freeze today and only allowing RC bug
fixes to enter testing, and I don't think this bug qualifies for release critical.

In any case, I'll upload a fix to unstable soonish.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Tue, 14 Dec 2010 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 14 Dec 2010 04:33:03 GMT) Full text and rfc822 format available.

Message #63 received at 570015@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 570015@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: vmunix throwing ck-collect-session errors.
Date: Tue, 14 Dec 2010 05:28:54 +0100
[Message part 1 (text/plain, inline)]
On 13.12.2010 16:11, Petr Salinger wrote:

> the freebsd specific code does not handle empty string in environment 
> correctly. Please apply oneliner bellow. It would be nice to also inform 
> upstream.
> 

On a bit unrelated note: does consolekit, aside from this issue, work properly
on kfreebsd?
Are new sessions created when you login, does it correctly track if you switch
the vt?

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Tue, 14 Dec 2010 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 14 Dec 2010 07:45:03 GMT) Full text and rfc822 format available.

Message #68 received at 570015@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 570015@bugs.debian.org
Subject: Re: Bug#570015: ck-collect-session-info coredumps on kFreeBSD
Date: Tue, 14 Dec 2010 08:46:32 +0100 (CET)
> > Please consider uploading it also into testing-proposed-updates.

> I don't think this bug qualifies for release critical.

I see. I am of course biased ;-)

> On a bit unrelated note: does consolekit, aside from this issue, work 
> properly on kfreebsd?
> Are new sessions created when you login, does it correctly track if you 
> switch the vt?

How can I verify this ?

Petr

/var/log/ConsoleKit/history:

1292310987.375 type=SEAT_ADDED : seat-id='Seat1' seat-kind=0
1292310987.425 type=SEAT_ADDED : seat-id='Seat2' seat-kind=1
1292310987.442 type=SEAT_SESSION_ADDED : seat-id='Seat2' 
session-id='Session1' session-type='' session-x11-display=':0' 
session-x11-display-device='' session-display-device='   ?   ' 
session-remote-host-name='' session-is-local=FALSE session-unix-user=0 
session-creation-time='2010-12-14T07:16:27.423814Z'
1292311068.420 type=SEAT_ADDED : seat-id='Seat3' seat-kind=1
1292311068.426 type=SEAT_SESSION_ADDED : seat-id='Seat3' 
session-id='Session2' session-type='' session-x11-display='' 
session-x11-display-device='' session-display-device='/dev/ssh' 
session-remote-host-name='localhost.localdomain' session-is-local=FALSE 
session-unix-user=0 session-creation-time='2010-12-14T07:17:48.418892Z'
1292311095.148 type=SEAT_SESSION_ADDED : seat-id='Seat1' 
session-id='Session3' session-type='' session-x11-display='' 
session-x11-display-device='' session-display-device='/dev/ttyv2' 
session-remote-host-name='' session-is-local=TRUE session-unix-user=1000 
session-creation-time='2010-12-14T07:18:15.121060Z'
1292311209.794 type=SEAT_SESSION_REMOVED : seat-id='Seat3' 
session-id='Session2' session-type='' session-x11-display='' 
session-x11-display-device='' session-display-device='/dev/ssh' 
session-remote-host-name='localhost.localdomain' session-is-local=FALSE 
session-unix-user=0 session-creation-time='2010-12-14T07:17:48.418892Z'
1292311209.795 type=SEAT_REMOVED : seat-id='Seat3' seat-kind=1
1292311226.066 type=SEAT_ADDED : seat-id='Seat4' seat-kind=1
1292311226.072 type=SEAT_SESSION_ADDED : seat-id='Seat4' 
session-id='Session4' session-type='' session-x11-display='' 
session-x11-display-device='' session-display-device='/dev/ssh' 
session-remote-host-name='orion.lan' session-is-local=FALSE 
session-unix-user=1000 session-creation-time='2010-12-14T07:20:26.064809Z'
1292311666.451 type=SEAT_SESSION_ADDED : seat-id='Seat1' 
session-id='Session5' session-type='' session-x11-display='' 
session-x11-display-device='' session-display-device='/dev/ttyp6' 
session-remote-host-name='' session-is-local=TRUE session-unix-user=1000 
session-creation-time='2010-12-14T07:27:46.442670Z'
1292311687.904 type=SEAT_SESSION_ADDED : seat-id='Seat1' 
session-id='Session6' session-type='' session-x11-display='' 
session-x11-display-device='' session-display-device='/dev/ttyp8' 
session-remote-host-name='' session-is-local=TRUE session-unix-user=0 
session-creation-time='2010-12-14T07:28:07.893339Z'
1292311727.394 type=SEAT_SESSION_REMOVED : seat-id='Seat1' 
session-id='Session6' session-type='' session-x11-display='' 
session-x11-display-device='' session-display-device='/dev/ttyp8' 
session-remote-host-name='' session-is-local=TRUE session-unix-user=0 
session-creation-time='2010-12-14T07:28:07.893339Z'
1292311839.310 type=SEAT_SESSION_ADDED : seat-id='Seat1' 
session-id='Session7' session-type='' session-x11-display='' 
session-x11-display-device='' session-display-device='/dev/ttyv3' 
session-remote-host-name='' session-is-local=TRUE session-unix-user=1000 
session-creation-time='2010-12-14T07:30:39.299539Z'







Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Tue, 15 Feb 2011 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 15 Feb 2011 17:48:05 GMT) Full text and rfc822 format available.

Message #73 received at 570015@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: 570015@bugs.debian.org
Cc: Michael Dorrington <michael.dorrington@gmail.com>, Michael Biebl <biebl@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Re: [Pkg-utopia-maintainers] Bug#570015: consolekit: ck-collect-session-info coredumps on kFreeBSD
Date: Tue, 15 Feb 2011 17:46:05 +0000
On Oct 27, Michael Dorrington wrote:
> I am not getting these coredump messages in the logs or corefiles in the
> root directory on an up to date kfreebsd-i386 (or kfreebsd-amd64)
> system, which uses consolekit 0.4.1-4. Justin, could you please retest.

I could have if I'd been CCed, but by the time I spotted this message
in the BTS my kFreeBSD testbed had been recycled as a Linux desktop.
I now have a new Debian GNU/* dual-boot machine, so I can confirm:

 jbr@xan:~$ dpkg-query -W consolekit; ls -l /c*; dmesg | tail -1
 consolekit      0.4.3-2
 -rw------- 1 root root 3997696 Feb 15 16:05 /ck-collect-session-.core
 pid 709 (ck-collect-session-), uid 0: exited on signal 11 (core dumped)

It would be much easier for users to answer questions about whether
consolekit is working properly if only somebody would follow Debian
Policy and WTFM... but here's the output of ck-list-sessions:

 Session3:
        unix-user = '1005'
        realname = 'Justin B Rye'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ''
        x11-display-device = ''
        display-device = '/dev/ttyv0'
        remote-host-name = ''
        is-local = TRUE
        on-since = '2011-02-15T16:50:36.000119Z'
        login-session-id = ''
 Session1:
        unix-user = '1005'
        realname = 'Justin B Rye'
        seat = 'Seat2'
        session-type = ''
        active = FALSE
        x11-display = ''
        x11-display-device = ''
        display-device = '/dev/ssh'
        remote-host-name = 'hurakan.xibalba'
        is-local = FALSE
        on-since = '2011-02-15T16:05:47.999457Z'
        login-session-id = ''

-- 
JBR
Ankh kak! (Ancient Egyptian blessing)




Removed tag(s) help. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 23 Jul 2012 08:36:07 GMT) Full text and rfc822 format available.

Marked as found in versions consolekit/0.4.5-3. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 23 Jul 2012 08:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 23 Jul 2012 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 23 Jul 2012 09:12:03 GMT) Full text and rfc822 format available.

Message #82 received at 570015@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 570015@bugs.debian.org, control@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: ck-collect-session-info coredumps on kFreeBSD (Re: Some QA of Wheezy kfreebsd-amd64 binaries)
Date: Mon, 23 Jul 2012 10:53:27 +0200 (CEST)
tags 570015 -help
found 570015 0.4.5-3
--

On Sun, 22 Jul 2012, Steven Chamberlain wrote:
> As a quick and random test, I installed all tasksel options of
> kfreebsd-amd64, and executed each binary from {,/usr}/[s]bin as a
> non-privileged user inside a jail.

> These next two are odd, as they appear to be daemons running as uid 0.
> ...
> But this one was definitely triggered by something in /bin or /sbin
> being run as uid 1000:
>
>> pid 25310 (ck-collect-session-), uid 0: exited on signal 11

It is long known problem - see #570015.
The fix is really simple and waits for very long :-(
Petr


--- consolekit/src/ck-sysdeps-freebsd.c
+++ consolekit/src/ck-sysdeps-freebsd.c
@@ -261,6 +261,8 @@
         for (i = 0; penv[i] != NULL; i++) {
                 char **vals;

+                if (!penv[i][0]) continue;
+
                 vals = g_strsplit (penv[i], "=", 2);
                 if (vals != NULL) {
                         g_hash_table_insert (hash,






Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 23 Jul 2012 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 23 Jul 2012 09:39:03 GMT) Full text and rfc822 format available.

Message #87 received at 570015@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 570015@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: ck-collect-session-info coredumps on kFreeBSD (Re: Some QA of Wheezy kfreebsd-amd64 binaries)
Date: Mon, 23 Jul 2012 11:36:48 +0200
[Message part 1 (text/plain, inline)]
Hi Petr,

On 23.07.2012 10:53, Petr Salinger wrote:

> It is long known problem - see #570015.
> The fix is really simple and waits for very long :-(

Sorry for that and thanks for the patch. I will try to get this fix into
wheezy.

Michael



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 23 Jul 2012 09:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 23 Jul 2012 09:39:05 GMT) Full text and rfc822 format available.

Message #92 received at 570015@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 570015@bugs.debian.org, "debian-bsd\@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: ck-collect-session-info coredumps on kFreeBSD (Re: Some QA of Wheezy kfreebsd-amd64 binaries)
Date: Mon, 23 Jul 2012 11:09:05 +0200
Hi!

Petr Salinger <Petr.Salinger@seznam.cz> writes:
> tags 570015 -help
> found 570015 0.4.5-3
> --
>
> On Sun, 22 Jul 2012, Steven Chamberlain wrote:
>> As a quick and random test, I installed all tasksel options of
>> kfreebsd-amd64, and executed each binary from {,/usr}/[s]bin as a
>> non-privileged user inside a jail.
>
>> These next two are odd, as they appear to be daemons running as uid 0.
>> ...
>> But this one was definitely triggered by something in /bin or /sbin
>> being run as uid 1000:
>>
>>> pid 25310 (ck-collect-session-), uid 0: exited on signal 11
>
> It is long known problem - see #570015.
> The fix is really simple and waits for very long :-(
> Petr
>
>
> --- consolekit/src/ck-sysdeps-freebsd.c
> +++ consolekit/src/ck-sysdeps-freebsd.c
> @@ -261,6 +261,8 @@
>          for (i = 0; penv[i] != NULL; i++) {
>                  char **vals;
>
> +                if (!penv[i][0]) continue;
> +
>                  vals = g_strsplit (penv[i], "=", 2);
>                  if (vals != NULL) {
>                          g_hash_table_insert (hash,

  I'll test on my kfreebsd system and offer to NMU (unless maintainers
are faster / nack this) -- a segfault fix really should fit freeze
policy at the current state.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer



Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 23 Jul 2012 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 23 Jul 2012 09:48:03 GMT) Full text and rfc822 format available.

Message #97 received at 570015@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Christoph Egger <christoph@debian.org>, 570015@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: ck-collect-session-info coredumps on kFreeBSD (Re: Some QA of Wheezy kfreebsd-amd64 binaries)
Date: Mon, 23 Jul 2012 11:45:25 +0200
[Message part 1 (text/plain, inline)]
Hi Christoph,

On 23.07.2012 11:09, Christoph Egger wrote:
>   I'll test on my kfreebsd system and offer to NMU (unless maintainers
> are faster / nack this) -- a segfault fix really should fit freeze
> policy at the current state.

Since those changes are in the kfreebsd backend, I don't really have any
opinion on the patch itself. If the kfreebsd porters think this is the
correct fix and it does indeed fix the problem, I personally don't have
any objections.

Feel free to NMU.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#570015; Package consolekit. (Wed, 25 Jul 2012 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Wed, 25 Jul 2012 20:15:05 GMT) Full text and rfc822 format available.

Message #102 received at 570015-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Michael Biebl <biebl@debian.org>, Christoph Egger <christoph@debian.org>
Cc: 570015-quiet@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: ck-collect-session-info coredumps on kFreeBSD
Date: Wed, 25 Jul 2012 21:59:08 +0200 (CEST)
>>   I'll test on my kfreebsd system and offer to NMU (unless maintainers
>> are faster / nack this) -- a segfault fix really should fit freeze
>> policy at the current state.
>
> Since those changes are in the kfreebsd backend, I don't really have any
> opinion on the patch itself. If the kfreebsd porters think this is the
> correct fix and it does indeed fix the problem, I personally don't have
> any objections.
>
> Feel free to NMU.

Please, could anyone (of you) do the upload ?

The behaviour of ignoring empty string in environment
is consistent with linux backend.

There is also unanswered my "question"
"How can I verify this ?" in Message #68.

Cheers

	Petr



Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 30 Jul 2012 12:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@christoph-egger.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 30 Jul 2012 12:51:06 GMT) Full text and rfc822 format available.

Message #107 received at 570015@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@christoph-egger.org>
To: 570015@bugs.debian.org
Subject: consolekit: diff for NMU version 0.4.5-3.1
Date: Mon, 30 Jul 2012 14:46:00 +0200
[Message part 1 (text/plain, inline)]
tags 570015 + pending
thanks

Dear maintainer,

I've prepared an NMU for consolekit (versioned as 0.4.5-3.1) and
uploaded it to unstable as I got your OK, hope this is fine with
everyone. I'll also take with -release about an freeze exception.

Regards

  Christoph

[consolekit-0.4.5-3.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Christoph Egger <christoph@christoph-egger.org> to control@bugs.debian.org. (Mon, 30 Jul 2012 12:51:09 GMT) Full text and rfc822 format available.

Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Mon, 30 Jul 2012 13:06:03 GMT) Full text and rfc822 format available.

Notification sent to Justin B Rye <jbr@edlug.org.uk>:
Bug acknowledged by developer. (Mon, 30 Jul 2012 13:06:04 GMT) Full text and rfc822 format available.

Message #114 received at 570015-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 570015-close@bugs.debian.org
Subject: Bug#570015: fixed in consolekit 0.4.5-3.1
Date: Mon, 30 Jul 2012 13:02:17 +0000
Source: consolekit
Source-Version: 0.4.5-3.1

We believe that the bug you reported is fixed in the latest version of
consolekit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570015@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated consolekit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Jul 2012 13:57:55 +0200
Source: consolekit
Binary: consolekit libck-connector0 libck-connector-dev libpam-ck-connector
Architecture: source mipsel
Version: 0.4.5-3.1
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 consolekit - framework for defining and tracking users, sessions and seats
 libck-connector-dev - ConsoleKit development files
 libck-connector0 - ConsoleKit libraries
 libpam-ck-connector - ConsoleKit PAM module
Closes: 570015
Changes: 
 consolekit (0.4.5-3.1) UNRELEASED; urgency=low
 .
   * Non-maintainer upload.
   * Include patch by Petr Salinger to ignore empty environments (Closes: #570015)
Checksums-Sha1: 
 10c9b2a54e34b00f746fce3d41c3a6a80a43590d 2369 consolekit_0.4.5-3.1.dsc
 6474293677a80ee39d489b5c0a6f727cedaf4cbc 14813 consolekit_0.4.5-3.1.debian.tar.gz
 dec4288cf674156afe208c2ed3d133c07506cc3e 151676 consolekit_0.4.5-3.1_mipsel.deb
 27c07478c42f060559207c2dcb3e8f3e98bcd5f9 58300 libck-connector0_0.4.5-3.1_mipsel.deb
 332a4f098a2dac487f179a34f7a70b6e6b9ab07d 71908 libck-connector-dev_0.4.5-3.1_mipsel.deb
 961b40c9649304495934e57732da8afdb8a841e7 58914 libpam-ck-connector_0.4.5-3.1_mipsel.deb
Checksums-Sha256: 
 0d121f7226e17d789237f9193aaa93ed493391fe2b7a465d461d9571d0f8b8c5 2369 consolekit_0.4.5-3.1.dsc
 1b8f927cea7a41b7de4ceeb8de70039dc0650bc4cce69f534c01f94661b6c85b 14813 consolekit_0.4.5-3.1.debian.tar.gz
 b052a5f12cd259d2d6310e3574d168aa52a64519191d359d51584618db89e632 151676 consolekit_0.4.5-3.1_mipsel.deb
 a800a72f5af9d31963e5291620f04f4097b48022f9e015c19073f853232494c2 58300 libck-connector0_0.4.5-3.1_mipsel.deb
 20e12cc4cc1fdd059a8a96551b9446e5d8937a1a0c740de6c0556919a596d6cc 71908 libck-connector-dev_0.4.5-3.1_mipsel.deb
 51228dec1982e0e18c0d29e18b8ec426f698250347b8b5de1eb87155378362ad 58914 libpam-ck-connector_0.4.5-3.1_mipsel.deb
Files: 
 db701ac762f09fda83f83e77f5230888 2369 admin optional consolekit_0.4.5-3.1.dsc
 c3ea25eba8cb5a36c6be49d7c430dd94 14813 admin optional consolekit_0.4.5-3.1.debian.tar.gz
 e85d97638544a3346e8a10f5b760e1f4 151676 admin optional consolekit_0.4.5-3.1_mipsel.deb
 78ca58407298e785c30bbeacf2aa040c 58300 libs optional libck-connector0_0.4.5-3.1_mipsel.deb
 e8b13fb9bf54f6393a1e3b3c92cd27f4 71908 libdevel optional libck-connector-dev_0.4.5-3.1_mipsel.deb
 026a67ae85e7bc2af2f34212a89923c2 58914 admin optional libpam-ck-connector_0.4.5-3.1_mipsel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iQIcBAEBAgAGBQJQFoG5AAoJEKv/7bJACMb53sgP/iLYblq1+KUTIVzl2VmGZbs4
gCKCCMCRLgIMej0fxOTT/074KhteFnnm1xRr8NSwgWcJQweQnhpEkQPE+uU6lg/i
g+Qxs5Q5KBEdtrgX5hD292vHzIRjtKK8r48fXJU2BkGuq3m4rFvFQbk+6mo7vLTL
/T+aVjBPATHwg1lEzG46HpPeqszeK732DeSmFU3kCorEfO0XIW5BhTtspdua7E4l
Bc+aCD0u3YWT32WZ7HD1I3AQQPY2uxGUVCQvIauRIipN6MFP4AZCJr7jsZbBljO6
32idEstYR9BP0emghs3/wMnS0oy4De4imiijuC+JVOdsyIBWGF3AX1qIOmn1NIKs
V9jzxwJPJSaboWopOx/C/BwJ0R2P1+D+HaFvTfZmmYO/MqpN6btJw9TwKYMAktAA
XpVe/VHsZ6hwXRkVGFm9AQUtUI7Vk7tm0Quc7U8WWzPZ4WKCPrNbDIXTVUmmbg4O
KsOk9nsa7sxwXiz2neka7boJUhvZv6mIX5Z2KMFbEY4LuPMDtZb522OuYUIogvaB
rQZ3UvOa39OFMTmb5KnX4vyHzqTbeCG3m4+23W0Aav1N/3tqfvcosMSg6U63XBIF
Ribx0BJ8Rz7CsxCXnBRw1qW63aNFBQ17Z1vpHSe+46Ywfm2wDKckylaF7bYY+3Ci
LfaWvkzhBtDvF6KCYhgR
=2x5k
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 30 Jul 2012 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 30 Jul 2012 21:21:04 GMT) Full text and rfc822 format available.

Message #119 received at 570015@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Christoph Egger <christoph@christoph-egger.org>, 570015@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: consolekit: diff for NMU version 0.4.5-3.1
Date: Mon, 30 Jul 2012 23:17:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

On 30.07.2012 14:46, Christoph Egger wrote:
> I've prepared an NMU for consolekit (versioned as 0.4.5-3.1) and
> uploaded it to unstable as I got your OK, hope this is fine with
> everyone. I'll also take with -release about an freeze exception.

This is fine, and thank you and Petr.

It is also very much appreciated that you did check with the maintainer
before uploading the NMU.

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Mon, 30 Jul 2012 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 30 Jul 2012 21:24:03 GMT) Full text and rfc822 format available.

Message #124 received at 570015@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Christoph Egger <christoph@christoph-egger.org>, 570015@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: consolekit: diff for NMU version 0.4.5-3.1
Date: Mon, 30 Jul 2012 23:20:47 +0200
[Message part 1 (text/plain, inline)]
On 30.07.2012 14:46, Christoph Egger wrote:
> tags 570015 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for consolekit (versioned as 0.4.5-3.1) and
> uploaded it to unstable as I got your OK, hope this is fine with
> everyone. I'll also take with -release about an freeze exception.

Oh, I just noticed that you left the release target as "UNRELEASED" :-/
A more verbose changelog entry would have been nice too, e.g. that this
affects kbsd and fixes a crash on that platform.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#570015; Package consolekit. (Wed, 01 Aug 2012 11:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 01 Aug 2012 11:15:06 GMT) Full text and rfc822 format available.

Message #129 received at 570015@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 570015@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#570015: consolekit: diff for NMU version 0.4.5-3.1
Date: Wed, 01 Aug 2012 13:11:50 +0200
Michael Biebl <biebl@debian.org> writes:
> On 30.07.2012 14:46, Christoph Egger wrote:
>> tags 570015 + pending
>> thanks
>> 
>> Dear maintainer,
>> 
>> I've prepared an NMU for consolekit (versioned as 0.4.5-3.1) and
>> uploaded it to unstable as I got your OK, hope this is fine with
>> everyone. I'll also take with -release about an freeze exception.
>
> Oh, I just noticed that you left the release target as "UNRELEASED" :-/
> A more verbose changelog entry would have been nice too, e.g. that this
> affects kbsd and fixes a crash on that platform.

  Sorry for that :-( did get late after testing the fix and I just
failed to do the necessary QA on the final upload.

Regards

   Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Sep 2012 07:25:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:06:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.